CREATE TABLE sscAdministrator (
  administratorID INT(11) NOT NULL AUTO_INCREMENT,
  userName VARCHAR(100) NOT NULL,
  password VARCHAR(100) NOT NULL,
  lastLogin VARCHAR(100) DEFAULT NULL,
  isApiUser TINYINT(4) NOT NULL DEFAULT 0,
  passwordExpires VARCHAR(255),
  numberOfFailedLogins INT(11),
  lockedOutUntil VARCHAR(255),
  previousPasswords TEXT,
  allowedIPAddresses TEXT,
  isActive TINYINT(4) NOT NULL DEFAULT '1',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.AdministratorBean',
  PRIMARY KEY  (administratorID),
  UNIQUE KEY administratorUserName (userName)
);

CREATE TABLE sscRole (
  roleID INT(11) NOT NULL AUTO_INCREMENT,
  code VARCHAR(100) NOT NULL,
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.RoleBean',
  PRIMARY KEY (roleID),
  UNIQUE KEY roleCode (code)
);

CREATE INDEX IDX_sscRole_name ON sscRole (name);
CREATE INDEX IDX_sscRole_description ON sscRole (description);

CREATE TABLE sscAdministratorRole (
  administratorRoleID INT(11) NOT NULL AUTO_INCREMENT,
  administratorID INT NOT NULL DEFAULT '0',
  roleID INT NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.AdministratorRoleBean',
  PRIMARY KEY  (administratorRoleID),
  UNIQUE KEY administratorRole (administratorID, roleID),
  KEY administratorIDIndex (administratorID),
  FOREIGN KEY (`administratorID`) REFERENCES `sscAdministrator` (`administratorID`) ON DELETE CASCADE,
  KEY roleIDIndex (roleID),
  FOREIGN KEY (`roleID`) REFERENCES `sscRole` (`roleID`) ON DELETE CASCADE
);
