CREATE TABLE sscSetting (
  settingID INT IDENTITY NOT NULL,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  description TEXT,
  type VARCHAR(100) DEFAULT NULL,
  valueType VARCHAR(16) NOT NULL,
  integerValue INT DEFAULT NULL,
  smallValue VARCHAR(64) DEFAULT NULL,
  mediumValue VARCHAR(255) DEFAULT NULL,
  textValue TEXT,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.core.SettingBean',
  CONSTRAINT PK_settingID PRIMARY KEY CLUSTERED 
  ( settingID ) ON [PRIMARY],
  CONSTRAINT AK_settingCode UNIQUE NONCLUSTERED 
  ( code ) ON [PRIMARY]
);

CREATE TABLE sscRequestLog (
  requestLogID INT IDENTITY NOT NULL,
  orderID INT DEFAULT NULL,
  orderNumber INT DEFAULT NULL,
  customerID INT DEFAULT NULL,
  customerUserName VARCHAR(100) DEFAULT NULL,
  administratorID INT DEFAULT NULL,
  administratorUserName VARCHAR(100) DEFAULT NULL,
  sessionID VARCHAR(100) DEFAULT NULL,
  ipAddress VARCHAR(255) DEFAULT NULL,
  userAgent VARCHAR(255) DEFAULT NULL,
  servletPath VARCHAR(255) DEFAULT NULL,
  requestURL VARCHAR(255) DEFAULT NULL,
  requestParameters TEXT,
  referrer VARCHAR(255) DEFAULT NULL,
  isAdminRequest BIT NOT NULL DEFAULT '0',
  created VARCHAR(100) DEFAULT NULL,
  searchString VARCHAR(255) DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.core.RequestLogBean',
  CONSTRAINT PK_requestLogID PRIMARY KEY CLUSTERED 
  ( requestLogID ) ON [PRIMARY]
);

CREATE INDEX sscRequestLog_orderID ON sscRequestLog (orderID);
CREATE INDEX sscRequestLog_orderNumber ON sscRequestLog (orderNumber);
CREATE INDEX sscRequestLog_customerID ON sscRequestLog (customerID);
CREATE INDEX sscRequestLog_customerUserName ON sscRequestLog (customerUserName);
CREATE INDEX sscRequestLog_administratorID ON sscRequestLog (administratorID);
CREATE INDEX sscRequestLog_administratorUserName ON sscRequestLog (administratorUserName);
CREATE INDEX sscRequestLog_sessionID ON sscRequestLog (sessionID);
CREATE INDEX sscRequestLog_ipAddress ON sscRequestLog (ipAddress);
CREATE INDEX sscRequestLog_userAgent ON sscRequestLog (userAgent);
CREATE INDEX sscRequestLog_servletPath ON sscRequestLog (servletPath);
CREATE INDEX sscRequestLog_requestURL ON sscRequestLog (requestURL);
CREATE INDEX sscRequestLog_created ON sscRequestLog (created);
CREATE INDEX sscRequestLog_searchString ON sscRequestLog (searchString);

