CREATE TABLE sscTemplate (
	templateID INT IDENTITY NOT NULL,
	code VARCHAR(255) NOT NULL DEFAULT '',
	type VARCHAR(255) NOT NULL DEFAULT '',
	subject VARCHAR(255) DEFAULT NULL,
	description TEXT,
	bodyHtml TEXT,
	bodyText TEXT,
	isActive BIT NOT NULL DEFAULT '0',
	class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.email.TemplateBean',
  	CONSTRAINT PK_templateID PRIMARY KEY CLUSTERED 
  	( templateID ) ON [PRIMARY],
  	CONSTRAINT AK_templateCode UNIQUE NONCLUSTERED 
  	( code ) ON [PRIMARY]
);


CREATE TABLE sscEmail (
	emailID INT IDENTITY NOT NULL,
	orderID INT DEFAULT NULL,
	customerID INT DEFAULT NULL,
	templateID INT DEFAULT NULL,
	type VARCHAR(255) DEFAULT NULL,
	toEmails VARCHAR(255) DEFAULT NULL,
	ccEmails VARCHAR(255) DEFAULT NULL,
	bccEmails VARCHAR(255) DEFAULT NULL,
	fromEmail VARCHAR(255) DEFAULT NULL,
	subject VARCHAR(255) DEFAULT NULL,
	bodyHtml TEXT,
	bodyText TEXT,
	createdTime VARCHAR(30) DEFAULT NULL,
	sendTime VARCHAR(30) DEFAULT NULL,
	lastActionTime VARCHAR(30) DEFAULT NULL,
	status VARCHAR(255) NOT NULL DEFAULT 'Unattempted',
	errorMessage VARCHAR(255) DEFAULT NULL,
	lastEvent VARCHAR(255) DEFAULT NULL,
	lastEventTime VARCHAR(30) DEFAULT NULL,
	smtpServer VARCHAR(255) DEFAULT NULL,
	class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.email.EmailBean',
  	CONSTRAINT PK_emailID PRIMARY KEY CLUSTERED 
  	( emailID ) ON [PRIMARY],
  	CONSTRAINT AK_orderID UNIQUE NONCLUSTERED 
  	( orderID ) ON [PRIMARY],
  	CONSTRAINT AK_customerID UNIQUE NONCLUSTERED 
  	( customerID ) ON [PRIMARY],
  	CONSTRAINT AK_templateID UNIQUE NONCLUSTERED 
  	( templateID ) ON [PRIMARY]
);

CREATE INDEX IDX_sscEmail_type ON sscEmail (type);
CREATE INDEX IDX_sscEmail_toEmails ON sscEmail (toEmails);
CREATE INDEX IDX_sscEmail_createdTime ON sscEmail (createdTime);

CREATE TABLE sscEmailOptOut (
	emailOptOutID INT IDENTITY NOT NULL,
	emailAddress VARCHAR(255) NOT NULL DEFAULT '',
	createdTime VARCHAR(30) DEFAULT NULL,
	type VARCHAR(50) NOT NULL DEFAULT '',
	class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.email.EmailOptOutBean',
	CONSTRAINT PK_emailOptOutID PRIMARY KEY CLUSTERED ( emailOptOutID ) ON [PRIMARY],
	CONSTRAINT AK_emailAddressType UNIQUE NONCLUSTERED (emailAddress,type) ON [PRIMARY]
);
CREATE INDEX IDX_sscEmailOptOut_emailAddress ON sscEmailOptOut (emailAddress);
CREATE INDEX IDX_sscEmailOptOut_createdTime ON sscEmailOptOut (createdTime);
CREATE INDEX IDX_sscEmailOptOut_type ON sscEmailOptOut (type);
