CREATE TABLE sscProductReview (
  productReviewID INT IDENTITY NOT NULL,
  productID INT NOT NULL DEFAULT '0',
  status INT DEFAULT 0,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.product.ProductReviewBean',
  nickname VARCHAR(255) DEFAULT NULL,
  firstName VARCHAR(255) DEFAULT NULL,
  lastName VARCHAR(255) DEFAULT NULL,
  email VARCHAR(255) DEFAULT NULL,
  age VARCHAR(255) DEFAULT NULL,
  city VARCHAR(255) DEFAULT NULL,
  state VARCHAR(255) DEFAULT NULL,
  review TEXT,
  rating INT,
  created VARCHAR(255) DEFAULT NULL,
  imagePath VARCHAR(255) DEFAULT NULL,
  ipaddress VARCHAR(255) DEFAULT NULL,
  country VARCHAR(255) DEFAULT NULL,
  customerID INT,
  CONSTRAINT PK_productReviewID PRIMARY KEY CLUSTERED 
  ( productReviewID ) ON [PRIMARY],
  CONSTRAINT FK_customer_productReview FOREIGN KEY (
	customerID
  ) REFERENCES sscCustomer (
	customerID
  ) ON DELETE SET NULL,
  CONSTRAINT FK_product_productReview FOREIGN KEY (
	productID
  ) REFERENCES sscProduct (
	productID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE INDEX IDX_sscProductReview_rating ON sscProductReview (rating);
CREATE INDEX IDX_sscProductReview_nickname ON sscProductReview (nickname);
