<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="java.util.Calendar,java.util.Date" %> 
<!-- Start ${pageScope.sscCurrentPage} -->

<%-- This template displays the customer's current profiles - called from both payment/authorizeNetManageProfilesLayout.jsp for the AcceptHostedIframe method, 
and ajax/authorizeNetProfilesDisplay.jsp for ServerToServer. --%>
<c:set var="localCimEditLink" value=""/>
<c:if test="${settings.map.authorizeNetIntegrationMethod eq 'AcceptHostedIframe'}">
	<c:set var="localCimEditLink" value="cimAboveHostedFormA"/>
</c:if>
<c:if test="${!empty requestScope.paymentProfiles}">
	<table id="profilesTable" class="table table-striped">
		<tr class="listHeading">
			<th>&nbsp;</th>
			<th><bean:message key="cimProfile.accountNumber" bundle="/customer"/></th>
			<th><bean:message key="cimProfile.accountName" bundle="/customer"/></th>
			<th><bean:message key="cimProfile.accountAddress" bundle="/customer"/></th>
			<th><bean:message key="cimProfile.accountPhone" bundle="/customer"/></th>
			<c:if test="${settings.map.authorizeNetAllowDeleteProfiles eq '1'}">
				<th>&nbsp;</th>
			</c:if>
		</tr>
		<c:forEach var="index" begin="0" end="${fn:length(requestScope.paymentProfiles)-1}" step="1">
			<c:set var="reverseIndex" value="${fn:length(requestScope.paymentProfiles)-1-index}"/>
			<c:set var="paymentProfile" value="${requestScope.paymentProfiles[reverseIndex]}"/>				
			<tr id="cimProfile-${paymentProfile.customerPaymentProfileId}" class="cimProfile">
				<td class="cimProfileEdit">
					<c:choose>
						<c:when test="${settings.map.authorizeNetIntegrationMethod eq 'AcceptHostedIframe'}">
							<a href='#${localCimEditLink}' onclick="AuthorizeNetIFrame.openSpecificPopup({action:'editPayment', paymentProfileId:'${paymentProfile.customerPaymentProfileId}'});"><bean:message key="cimProfile.editPaymentMethod" bundle="/customer"/>&nbsp;<span class="glyphicon glyphicon-edit"></span></a>
						</c:when>
						<c:otherwise>
							<a id="cimProfileEditLink-${paymentProfile.customerPaymentProfileId}" class="cimProfileEditLink" href='#'><bean:message key="cimProfile.editPaymentMethod" bundle="/customer"/>&nbsp;<span class="glyphicon glyphicon-edit"></span></a>
						</c:otherwise>
					</c:choose>
				</td>
				<td class="cimProfileCard">
					<c:choose>
						<c:when test="${!empty paymentProfile.payment and !empty paymentProfile.payment.creditCard}">
							${paymentProfile.payment.creditCard.cardNumber}
						</c:when>
						<c:when test="${!empty paymentProfile.payment and !empty paymentProfile.payment.bankAccount}">
							${paymentProfile.payment.bankAccount.accountNumber}
						</c:when>
					</c:choose>
				</td>
				<td class="cimProfileName">
					<c:choose>
						<c:when test="${!empty paymentProfile.billTo}">
							<span id="cimDetail-firstName-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.firstName}</span>&nbsp;<span id="cimDetail-lastName-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.lastName}</span><c:if test="${!empty paymentProfile.billTo.company}">,&nbsp;<span id="cimDetail-company-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.company}</span></c:if>
						</c:when>
						<c:otherwise>
							&nbsp;
						</c:otherwise>
					</c:choose>
				</td>
				<td class="cimProfileAddress">
					<c:choose>
						<c:when test="${!empty paymentProfile.billTo}">
							<span id="cimDetail-address-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.address}</span>
							<c:if test="${!empty paymentProfile.billTo.city}">,&nbsp;<span id="cimDetail-city-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.city}</span></c:if>
							<c:if test="${!empty paymentProfile.billTo.state}">,&nbsp;<span id="cimDetail-state-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.state}</span></c:if>
							<c:if test="${!empty paymentProfile.billTo.country}">,&nbsp;<span id="cimDetail-country-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.country}</span></c:if>
							<c:if test="${!empty paymentProfile.billTo.zip}">,&nbsp;<span id="cimDetail-zip-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.zip}</span></c:if>
						</c:when>
						<c:otherwise>
							&nbsp;
						</c:otherwise>
					</c:choose>
				</td>
				<td class="cimProfilePhone">
					<c:choose>
						<c:when test="${!empty paymentProfile.billTo}">
							<span id="cimDetail-phone-${paymentProfile.customerPaymentProfileId}">${paymentProfile.billTo.phoneNumber}</span>
						</c:when>
						<c:otherwise>
							&nbsp;
						</c:otherwise>
					</c:choose>
				</td>
				<c:if test="${settings.map.authorizeNetAllowDeleteProfiles eq '1'}">
					<td class="cimProfileDelete">
						<c:choose>
							<c:when test="${settings.map.authorizeNetIntegrationMethod eq 'AcceptHostedIframe'}">
								<a href='#' onclick="AuthorizeNetIFrame.ssDeletePaymentMethod('${paymentProfile.customerPaymentProfileId}');"><bean:message key="cimProfile.deletePaymentMethod" bundle="/customer"/>&nbsp;<span class="glyphicon glyphicon-remove-circle"></span></a>
							</c:when>
							<c:otherwise>
								<a id="cimProfileDeleteLink-${paymentProfile.customerPaymentProfileId}" class="cimProfileDeleteLink" href='#'><bean:message key="cimProfile.deletePaymentMethod" bundle="/customer"/>&nbsp;<span class="glyphicon glyphicon-remove-circle"></span></a>
							</c:otherwise>
						</c:choose>
					</td>
				</c:if>
			</tr>
		</c:forEach>
	</table>
</c:if>
<c:if test="${settings.map.authorizeNetIntegrationMethod ne 'AcceptHostedIframe'}">
	<div class="cimProfileAddLinkDiv">
		<a id="cimProfileAddLink" class="cimProfileAddLink" href='#'><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></a>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
