<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div id="category-${currentCategory.code}" class="category">
	<%-- Category header --%>
	<c:if test="${!empty currentCategory.header}">
		<span class="categoryHeader">
			<c:out value="${currentCategory.header}" escapeXml="false"/>
		</span>
	</c:if>
	
	<%-- Carousel --%>
	<c:if test="${requestScope.isWelcomePage and settings.map.maxWelcomePageCarouselCategories ne '0' and !empty categoryTree and !categoryTree['empty']}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/carousel.jsp" flush="false">
			<ssc:put name="listCollection" beanName="categoryTree"/>
			<ssc:put name="objectType" value="Category"/>
			<ssc:put name="maxItems" value="${settings.map.maxWelcomePageCarouselCategories}"/>
		</ssc:insert>
	</c:if>

	<div class="col-xs-12 flush">
		<%-- Category name --%>
		<div class="page-header">
			<h1 class="name pageTitle">
				<c:choose>
					<c:when test="${!empty categorySettings.headline.value}"><c:out value="${categorySettings.headline.value}" escapeXml="false"/></c:when>
					<c:otherwise><c:out value="${currentCategory.name}" escapeXml="false"/></c:otherwise>
				</c:choose>
			</h1>
		</div>
		<%-- Category description --%>
		<c:if test="${!empty currentCategory.description}">
			<p class="description"><c:out value="${currentCategory.description}" escapeXml="false"/></p>
		</c:if>
		<%-- Subcategories --%>
		<c:choose>
			<c:when test="${empty categoryForm.map.facets and requestScope.isWelcomePage and settings.map.displayCategoriesOnWelcomePage eq '1' and !empty categoryTree and !categoryTree['empty']}">
				<c:set var="supressSubcategoriesHeading" scope="request" value="true"/>
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/subcategories.jsp">
					<ssc:put name="subcategories" beanName="categoryTree" />
				</ssc:insert>
			</c:when>
			<c:when test="${empty categoryForm.map.facets}">
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/subcategories.jsp">
					<ssc:put name="subcategories" beanName="currentCategory" beanProperty="subcategoryCollection" />
				</ssc:insert>
			</c:when>
		</c:choose>
	</div>
	<%-- Products --%>
	<c:choose>
		<c:when test="${itemCount == 0 and !empty categoryForm.map.facets}">
			<div class="prodListControls col-xs-12">
				<div class="productListItemCount">
					${itemCount}&nbsp;<c:choose><c:when test="${itemCount == 1}"><bean:message key="category.itemPhrase" bundle="/product" /></c:when><c:otherwise><bean:message key="category.itemsPhrase" bundle="/product" /></c:otherwise></c:choose> <c:out value="${currentCategory.name}" escapeXml="false"/>
				</div>
			</div>
		</c:when>
		<c:when test="${itemCount > 0}">
			<ssc:insert page="/WEB-INF/layouts/default-html5/product/productListAndControls.jsp" />
		</c:when>
	</c:choose>

	<%-- Category footer --%>
	<c:if test="${!empty currentCategory.footer}">
		<span class="categoryFooter">
			<c:out value="${currentCategory.footer}" escapeXml="false"/>
		</span>
	</c:if>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
