package com.softslate.commerce.administrator.administrator;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.administrator.AdministratorProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * 
 * @author David Tobey
 * 
 */
public class AdministratorChangePasswordAndLoginAction extends BaseAction {

	static Log log = LogFactory.getLog(AdministratorChangePasswordAndLoginAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		AdministratorChangePasswordForm baseForm = (AdministratorChangePasswordForm) form;
		AdministratorProcessor processor = (AdministratorProcessor) baseForm.getBusinessObjectFactory().createObject(
				"administratorProcessorImplementer");
		Map result = processor.processLogin(PropertyUtils.describe(baseForm));
		if (result != null && result.get("resultCode") != null && !result.get("resultCode").equals("0")) {
			String resultCode = (String) result.get("resultCode");
			if (resultCode.equals("errors.sameAsPreviousPassword")) {
				baseForm.getErrors().add(
						ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage(resultCode, baseForm.getSettings().getValue(
								"numberOfPreviousPasswordsToCheck")));
				saveErrors(baseForm.getRequest(), (ActionMessages) baseForm.getErrors());
				return mapping.findForward("failure");
			} else if (!resultCode.equals("errors.userAlreadyLoggedIn")) {
				baseForm.getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(resultCode));
				saveErrors(baseForm.getRequest(), (ActionMessages) baseForm.getErrors());
				return mapping.findForward("failure");
			}
		}
		return mapping.findForward("success");

	}
}
