package com.softslate.commerce.administrator.customer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/CustomerAddForm.do", "/administrator/CustomerEditForm.do",
 * "/administrator/CustomerAdd.do", and "/administrator/CustomerEdit.do".
 * Provides properties corresponding to the fields for a single customer record.
 * 
 * @author David Tobey
 * 
 */
public class CustomerAddEditForm extends BaseAdministratorForm {
    private static final long serialVersionUID = 4051045285163579702L;

    static Log log = LogFactory.getLog(CustomerAddEditForm.class);

    private String customerID = null;

    private String userName = null;

    private String decryptedPassword = null;

    private String password = null;

    private String created = null;

    private String lastLogin = null;

    private String status = null;

    private String firstName = null;

    private String lastName = null;

    private String organization = null;

    private String address1 = null;

    private String address2 = null;

    private String city = null;

    private String state = null;

    private String postalCode = null;

    private String country = null;

    private String phone1 = null;

    private String phone2 = null;

    private String email1 = null;

    private String email2 = null;

    private String extra1 = null;

    private String extra2 = null;

    private String extra3 = null;

    private String extra4 = null;

    private String extra5 = null;

    private String notes = null;

	private String autoLoginToken = null;

	private String cimProfileID = null;
	
	private String canUsePO = "false";
	
	private String passwordToken = null;

	private String passwordTokenDate = null;

	private String passwordExpires = null;

	private String numberOfFailedLogins = null;

	private String lockedOutUntil = null;

	private String previousPasswords = null;

    public String getCustomerID() {
        return customerID;
    }

    public void setCustomerID(String customerID) {
        this.customerID = customerID;
    }

    public String getAddress1() {
        return address1;
    }

    public void setAddress1(String address1) {
        this.address1 = address1;
    }

    public String getAddress2() {
        return address2;
    }

    public void setAddress2(String address2) {
        this.address2 = address2;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getEmail1() {
        return email1;
    }

    public void setEmail1(String email1) {
        this.email1 = email1;
    }

    public String getEmail2() {
        return email2;
    }

    public void setEmail2(String email2) {
        this.email2 = email2;
    }

    public String getExtra1() {
        return extra1;
    }

    public void setExtra1(String extra1) {
        this.extra1 = extra1;
    }

    public String getExtra2() {
        return extra2;
    }

    public void setExtra2(String extra2) {
        this.extra2 = extra2;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastLogin() {
        return lastLogin;
    }

    public void setLastLogin(String lastLogin) {
        this.lastLogin = lastLogin;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPhone1() {
        return phone1;
    }

    public void setPhone1(String phone1) {
        this.phone1 = phone1;
    }

    public String getPhone2() {
        return phone2;
    }

    public void setPhone2(String phone2) {
        this.phone2 = phone2;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getExtra3() {
        return extra3;
    }

    public void setExtra3(String extra3) {
        this.extra3 = extra3;
    }

    public String getExtra4() {
        return extra4;
    }

    public void setExtra4(String extra4) {
        this.extra4 = extra4;
    }

    public String getExtra5() {
        return extra5;
    }

    public void setExtra5(String extra5) {
        this.extra5 = extra5;
    }

	public String getAutoLoginToken() {
		return autoLoginToken;
	}

	public void setAutoLoginToken(String autoLoginToken) {
		this.autoLoginToken = autoLoginToken;
	}

    public String getDecryptedPassword() {
        return decryptedPassword;
    }

    public void setDecryptedPassword(String decryptedPassword) {
        this.decryptedPassword = decryptedPassword;
    }

	public String getCimProfileID() {
		return cimProfileID;
	}

	public void setCimProfileID(String cimProfileID) {
		this.cimProfileID = cimProfileID;
	}

	public String getCanUsePO() {
		return canUsePO;
	}

	public void setCanUsePO(String canUsePO) {
		this.canUsePO = canUsePO;
	}

	public String getPasswordToken() {
		return passwordToken;
	}

	public void setPasswordToken(String passwordToken) {
		this.passwordToken = passwordToken;
	}

	public String getPasswordTokenDate() {
		return passwordTokenDate;
	}

	public void setPasswordTokenDate(String passwordTokenDate) {
		this.passwordTokenDate = passwordTokenDate;
	}

	public String getPasswordExpires() {
		return passwordExpires;
	}

	public void setPasswordExpires(String passwordExpires) {
		this.passwordExpires = passwordExpires;
	}

	public String getNumberOfFailedLogins() {
		return numberOfFailedLogins;
	}

	public void setNumberOfFailedLogins(String numberOfFailedLogins) {
		this.numberOfFailedLogins = numberOfFailedLogins;
	}

	public String getLockedOutUntil() {
		return lockedOutUntil;
	}

	public void setLockedOutUntil(String lockedOutUntil) {
		this.lockedOutUntil = lockedOutUntil;
	}

	public String getPreviousPasswords() {
		return previousPasswords;
	}

	public void setPreviousPasswords(String previousPasswords) {
		this.previousPasswords = previousPasswords;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!addingNewRecord() && StringUtils.isEmpty(getCustomerID()) && StringUtils.isEmpty(getUserName())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "customerID or userName"));
		}
		if (addingAndFieldIsBlank(getUserName()) || editingAndFieldIsBeingEmptiedOut(getUserName())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "userName"));
		}
		if (addingNewRecord() && (getDecryptedPassword() == null || getDecryptedPassword().equals(""))) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Password"));
		}
		if (StringUtils.isNotBlank(getCimProfileID())) {
			try {
				Long.parseLong(getCimProfileID());
			} catch (Exception ex) {
				getErrors().add(
						ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.required",
								"Valid CIM Profile ID (number)"));
			}
		}
		return getErrors();
	}
}
