package com.softslate.commerce.administrator.importexport;

import java.util.Arrays;
import java.util.Collection;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang3.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.core.DateUtils;
import com.softslate.commerce.businessobjects.core.Settings;
import com.softslate.commerce.customer.core.BaseAction;

public class QboConnectFormAction extends BaseAction {

	static Log log = LogFactory.getLog(QboConnectFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		log.info("Starting action.");
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		Settings settings = bof.getSettings();

		Map qboSettings = new HashMap();
		String qboSandboxOrLive = settings.getValue("qboSandboxOrLive");
		qboSettings.put("qboSandboxOrLive", qboSandboxOrLive);
		qboSettings.put("qboRealmId", settings.getValue("qboRealmId-" + qboSandboxOrLive));
		String qboOAuth2AppClientId = settings.getValue("qboOAuth2AppClientId-" + qboSandboxOrLive);
		String qboOAuth2AppClientSecret = settings.getValue("qboOAuth2AppClientSecret-" + qboSandboxOrLive);
		qboSettings.put("clientIdAndSecretDefined",
				StringUtils.isNotBlank(qboOAuth2AppClientId) && StringUtils.isNotBlank(qboOAuth2AppClientSecret));
		qboSettings.put("qboOAuth2AppClientId", qboOAuth2AppClientId);
		qboSettings.put("qboOAuth2AppClientSecret", qboOAuth2AppClientSecret);
		qboSettings.put("qboAccessToken", settings.getValue("qboAccessToken-" + qboSandboxOrLive));
		qboSettings.put("qboRefreshToken", settings.getValue("qboRefreshToken-" + qboSandboxOrLive));
		String qboAccessTokenExpiration = settings.getValue("qboAccessTokenExpiration-" + qboSandboxOrLive);
		String qboRefreshTokenExpiration = settings.getValue("qboRefreshTokenExpiration-" + qboSandboxOrLive);
		qboSettings.put("qboAccessTokenExpiration", qboAccessTokenExpiration);
		qboSettings.put("qboRefreshTokenExpiration", qboRefreshTokenExpiration);
		qboSettings.put("isAccessTokenExpired", StringUtils.isBlank(qboAccessTokenExpiration)
				|| DateUtils.dateTimeFromString(qboAccessTokenExpiration).before(new Date()));
		qboSettings.put("isRefreshTokenExpired", StringUtils.isBlank(qboRefreshTokenExpiration)
				|| DateUtils.dateTimeFromString(qboRefreshTokenExpiration).before(new Date()));
		request.setAttribute("qboSettings", qboSettings);

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Connect to QuickBooks Online" });
		request.setAttribute("breadcrumbs", bcs);
		return mapping.findForward("success");
	}

}
