package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/IncompleteOrders.do",
 * "/administrator/IncompleteOrdersProcess.do".
 * 
 * @author David Tobey
 */
public class IncompleteOrdersForm extends BaseForm {

    private static final long serialVersionUID = -336742647325030063L;

    static Log log = LogFactory.getLog(IncompleteOrdersForm.class);

    private String olderThanDays = "1";

    private String olderThanHours = "0";

    public String getOlderThanDays() {
        return olderThanDays;
    }

    public void setOlderThanDays(String olderThanDays) {
        this.olderThanDays = olderThanDays;
    }

    public String getOlderThanHours() {
        return olderThanHours;
    }

    public void setOlderThanHours(String olderThanHours) {
        this.olderThanHours = olderThanHours;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        initializeProperties(mapping, request);
        if (getOlderThanDays() == null || getOlderThanDays().equals("")) {
            getErrors().add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.required", "Older Than Days"));
        }
        if (getOlderThanHours() == null || getOlderThanHours().equals("")) {
            getErrors().add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.required", "Older Than Hours"));
        }
        if (getOlderThanHours() != null && getOlderThanHours().equals("0")
                && getOlderThanDays() != null && getOlderThanDays().equals("0")) {
            getErrors()
                    .add(
                            ActionMessages.GLOBAL_MESSAGE,
                            new ActionMessage("errors.detail",
                                    "Please select an age older than 0 days and 0 hours."));
        }
        return getErrors();
    }
}
