package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 * 
 */
public class CategorySettingsFormOther extends BaseForm { 

	private static final long serialVersionUID = 5424828676258620231L;

	static Log log = LogFactory.getLog(CategorySettingsFormOther.class);

	private String categoryID = null;

	private String parentName = null;

	private String breadcrumbName = "other settings";

	private String breadcrumbTarget = "CategorySettingsOther.do";

	private String type = "OTHER";

	private String[] code = { "pageLayoutStyle", "headline", "seoTitleTag",
			"seoAppendToTitleTag", "seoMetaDescription" };

	private String[] name = { "Page Layout Style", "Headline", "SEO Title Tag",
			"SEO Append Names to Title Tag?", "SEO Meta Description" };

	private String[] description = {
			"The style of layout used for the page. The Sidebar Layout includes the category tree and other content on the side panel. The Full Layout eliminates the sidebar and devotes the entire width of the page to the content.",
			"The headline used at the top of this page. If it is not defined, the name is used. This setting allows you to override the name if you need the headline on the page to be different from the name used in the store's navigation.",
			"The title used in the title tag in the page's HTML head section. If empty, the name defined under the details tab will be used. This setting allows you to define a separate title for title tag than the one that appears on the page.",
			"If yes, for this page the system will automatically append the store name defined under Store Settings -> Store Contact Information to the begining of the title tag and the page name (eg 'Category Details') to the end of it.",
			"The description used in the meta/description tag in the page's HTML head section. If empty, the main description defined under the details tab will be used. This setting allows you to define a separate description for the meta tag.", };

	private String[] value = { "leftLayout", "", "", "1", "" };

	private String[] valueType = { "smallValue", "mediumValue", "mediumValue", "booleanValue",
			"textValue" };

	public String getCategoryID() {
		return categoryID;
	}

	public void setCategoryID(String categoryID) {
		this.categoryID = categoryID;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String[] getValue() {
		return value;
	}

	public void setValue(String[] value) {
		this.value = value;
	}

	public String[] getValueType() {
		return valueType;
	}

	public void setValueType(String[] valueType) {
		this.valueType = valueType;
	}

	public String getBreadcrumbName() {
		return breadcrumbName;
	}

	public void setBreadcrumbName(String breadcrumbName) {
		this.breadcrumbName = breadcrumbName;
	}

	public String getBreadcrumbTarget() {
		return breadcrumbTarget;
	}

	public void setBreadcrumbTarget(String breadcrumbTarget) {
		this.breadcrumbTarget = breadcrumbTarget;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		return getErrors();
	}

}
