package com.softslate.commerce.administrator.product;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang3.StringEscapeUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.product.Manufacturer;

/**
 * Struts form class corresponding to requests to
 * "/administrator/Manufacturer.do". Provides properties to control searching,
 * viewing, editing, and deleting records in the <code>sscManufacturer</code>
 * table.
 * 
 * @author David Tobey
 * 
 */
public class ManufacturerForm extends BaseSerializableForm {

	private static final long serialVersionUID = 5115306026566438747L;

	static Log log = LogFactory.getLog(ManufacturerForm.class);

	private String idField = "manufacturerID";

	private String nameField = "code";

	private String entityProperty = "manufacturer";

	private Class entity = Manufacturer.class;

	private String childName = "Products";

	private String[] fields = { "manufacturerID", "code", "name", "websiteURL",
			"description", "isActive", "header", "footer", "smallImage",
			"largeImage", "isDropShipper", "address1", "address2", "city",
			"state", "postalCode", "country", "email", "phone", "extra1",
			"extra2", "extra3", "manufacturerOrder" };

	private String[] fieldLables = { "Manufacturer ID", "Code", "Name",
			"Website URL", "Description", "Active", "Header", "Footer",
			"Small Image", "Large Image", "Drop Shipper?", "Address 1",
			"Address 2", "City", "State", "Postal Code", "Country", "Email",
			"Phone", "Extra 1", "Extra 2", "Extra 3", "Order" };

	private String[] displayFields = { "code", "name", "websiteURL",
			"isActive", "manufacturerOrder" };

	private String[] searchableIntFields = { "manufacturerID" };

	private String[] searchableFields = { "code", "name", "websiteURL",
			"address1", "address2", "city", "state", "postalCode", "country",
			"email", "phone", "extra1", "extra2", "extra3" };

	private String sortByString = "manufacturerOrder";

	private String sortAscOrDesc = "ASC";

	private String[] cantSortByFields = { "description", "header", "footer" };

	private String formAction = "/Manufacturer.do";

	private String addFormAction = "/ManufacturerAddForm.do";

	private String editFormAction = "/ManufacturerEditForm.do";

	private String editDeleteFormAction = "/ManufacturerEditDelete.do";

	private String childEditAction = "/Product.do";

	private String[] manufacturerID = null;

	private String[] code = null;

	private String[] name = null;

	private String[] websiteURL = null;

	private String[] description = null;

	private String[] isActive = null;

	private String[] header = null;

	private String[] footer = null;

	private String[] smallImage = null;

	private String[] largeImage = null;

	private String[] address1 = null;

	private String[] address2 = null;

	private String[] city = null;

	private String[] state = null;

	private String[] postalCode = null;

	private String[] country = null;

	private String[] email = null;

	private String[] phone = null;

	private String[] isDropShipper = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	private String[] manufacturerOrder = null;

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public String getChildEditAction() {
		return childEditAction;
	}

	public void setChildEditAction(String childEditAction) {
		this.childEditAction = childEditAction;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String[] getManufacturerOrder() {
		return manufacturerOrder;
	}

	public void setManufacturerOrder(String[] manufacturerOrder) {
		this.manufacturerOrder = manufacturerOrder;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public String[] getFooter() {
		return footer;
	}

	public void setFooter(String[] footer) {
		this.footer = footer;
	}

	public String[] getHeader() {
		return header;
	}

	public void setHeader(String[] header) {
		this.header = header;
	}

	public String[] getIsActive() {
		return isActive;
	}

	public void setIsActive(String[] isActive) {
		this.isActive = isActive;
	}

	public String[] getLargeImage() {
		return largeImage;
	}

	public void setLargeImage(String[] largeImage) {
		this.largeImage = largeImage;
	}

	public String[] getAddress1() {
		return address1;
	}

	public void setAddress1(String[] address1) {
		this.address1 = address1;
	}

	public String[] getAddress2() {
		return address2;
	}

	public void setAddress2(String[] address2) {
		this.address2 = address2;
	}

	public String[] getCity() {
		return city;
	}

	public void setCity(String[] city) {
		this.city = city;
	}

	public String[] getState() {
		return state;
	}

	public void setState(String[] state) {
		this.state = state;
	}

	public String[] getPostalCode() {
		return postalCode;
	}

	public void setPostalCode(String[] postalCode) {
		this.postalCode = postalCode;
	}

	public String[] getCountry() {
		return country;
	}

	public void setCountry(String[] country) {
		this.country = country;
	}

	public String[] getEmail() {
		return email;
	}

	public void setEmail(String[] email) {
		this.email = email;
	}

	public String[] getPhone() {
		return phone;
	}

	public void setPhone(String[] phone) {
		this.phone = phone;
	}

	public String[] getIsDropShipper() {
		return isDropShipper;
	}

	public void setIsDropShipper(String[] isDropShipper) {
		this.isDropShipper = isDropShipper;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String[] getSmallImage() {
		return smallImage;
	}

	public void setSmallImage(String[] smallImage) {
		this.smallImage = smallImage;
	}

	public String[] getWebsiteURL() {
		return websiteURL;
	}

	public void setWebsiteURL(String[] websiteURL) {
		this.websiteURL = websiteURL;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String[] getManufacturerID() {
		return manufacturerID;
	}

	public void setManufacturerID(String[] manufacturerID) {
		this.manufacturerID = manufacturerID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getManufacturerID() != null) {
			for (int i = 0; i < getManufacturerID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("code")) {
					if (getCode().length < i + 1 || getCode()[i] == null
							|| getCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Code"));
					} else if (containsUnsafeCharacter(getCode()[i], request) != null) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.unsafeCharacter",
										"The code " + StringEscapeUtils.escapeXml11(getCode()[i]),
										containsUnsafeCharacter(getCode()[i],
												request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("name")) {
					if (getName().length < i + 1 || getName()[i] == null
							|| getName()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Name"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isActive")) {
					if (getIsActive().length < i + 1
							|| getIsActive()[i] == null
							|| getIsActive()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Active"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isDropShipper")) {
					if (getIsDropShipper().length < i + 1
							|| getIsDropShipper()[i] == null
							|| getIsDropShipper()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Drop Shipper?"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains(
						"manufacturerOrder")) {
					if (getManufacturerOrder().length < i + 1
							|| getManufacturerOrder()[i] == null
							|| getManufacturerOrder()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Order"));
					}
				}
			}
		}
		return errors;
	}
}
