package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang3.StringEscapeUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.upload.FormFile;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/ProductAddForm.do", "/administrator/ProductEditForm.do",
 * "/administrator/ProductAdd.do", and "/administrator/ProductEdit.do". Provides
 * properties corresponding to the fields for a single product record.
 * 
 * @author David Tobey
 * 
 */
public class ProductAddEditForm extends BaseAdministratorForm {

	private static final long serialVersionUID = 4589930821507654940L;

	static Log log = LogFactory.getLog(ProductAddEditForm.class);

	private String productID = null;

	private String categoryID = null;

	private String code = null;

	private String seoCode = null;

	private String name = null;

	private String keywords = null;

	private String shortDescription = null;

	private String description = null;

	private String isActive = "true";

	private String unitCost = "0.00";

	private String unitPrice = "0.00";

	private String altPrice = "0.00";

	private String weight = "0.00";

	private String header = null;

	private String footer = null;

	private String isTaxed = "true";

	private String smallImage = null;

	private String mediumImage = null;

	private String largeImage = null;

	private String created = null;

	private String extra1 = null;

	private String extra2 = null;

	private String extra3 = null;

	private String extra4 = null;

	private String extra5 = null;

	private String primaryCategoryID = "0";

	private String manufacturerID = "0";

	private String productOrder = "0";

	private FormFile smallImageUpload = null;

	private boolean updateAdvancedSearchIndex = true;

	private boolean overwriteImageFiles = false;

	public FormFile getSmallImageUpload() {
		return smallImageUpload;
	}

	public void setSmallImageUpload(FormFile smallImageUpload) {
		this.smallImageUpload = smallImageUpload;
	}

	private FormFile mediumImageUpload = null;

	public FormFile getMediumImageUpload() {
		return mediumImageUpload;
	}

	public void setMediumImageUpload(FormFile mediumImageUpload) {
		this.mediumImageUpload = mediumImageUpload;
	}

	private FormFile largeImageUpload = null;

	public FormFile getLargeImageUpload() {
		return largeImageUpload;
	}

	public void setLargeImageUpload(FormFile largeImageUpload) {
		this.largeImageUpload = largeImageUpload;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getCategoryID() {
		return categoryID;
	}

	public void setCategoryID(String categoryID) {
		this.categoryID = categoryID;
	}

	public String getAltPrice() {
		return altPrice;
	}

	public void setAltPrice(String altPrice) {
		this.altPrice = altPrice;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getSeoCode() {
		return seoCode;
	}

	public void setSeoCode(String seoCode) {
		this.seoCode = seoCode;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getCreated() {
		return created;
	}

	public void setCreated(String created) {
		this.created = created;
	}

	public String getExtra1() {
		return extra1;
	}

	public void setExtra1(String extra1) {
		this.extra1 = extra1;
	}

	public String getExtra2() {
		return extra2;
	}

	public void setExtra2(String extra2) {
		this.extra2 = extra2;
	}

	public String getExtra3() {
		return extra3;
	}

	public void setExtra3(String extra3) {
		this.extra3 = extra3;
	}

	public String getExtra4() {
		return extra4;
	}

	public void setExtra4(String extra4) {
		this.extra4 = extra4;
	}

	public String getExtra5() {
		return extra5;
	}

	public void setExtra5(String extra5) {
		this.extra5 = extra5;
	}

	public String getKeywords() {
		return keywords;
	}

	public void setKeywords(String keywords) {
		this.keywords = keywords;
	}

	public String getFooter() {
		return footer;
	}

	public void setFooter(String footer) {
		this.footer = footer;
	}

	public String getHeader() {
		return header;
	}

	public void setHeader(String header) {
		this.header = header;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getIsTaxed() {
		return isTaxed;
	}

	public void setIsTaxed(String isTaxed) {
		this.isTaxed = isTaxed;
	}

	public String getLargeImage() {
		return largeImage;
	}

	public void setLargeImage(String largeImage) {
		this.largeImage = largeImage;
	}

	public String getMediumImage() {
		return mediumImage;
	}

	public void setMediumImage(String mediumImage) {
		this.mediumImage = mediumImage;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPrimaryCategoryID() {
		return primaryCategoryID;
	}

	public void setPrimaryCategoryID(String primaryCategoryID) {
		this.primaryCategoryID = primaryCategoryID;
	}

	public String getProductOrder() {
		return productOrder;
	}

	public void setProductOrder(String productOrder) {
		this.productOrder = productOrder;
	}

	public String getShortDescription() {
		return shortDescription;
	}

	public void setShortDescription(String shortDescription) {
		this.shortDescription = shortDescription;
	}

	public String getSmallImage() {
		return smallImage;
	}

	public void setSmallImage(String smallImage) {
		this.smallImage = smallImage;
	}

	public String getUnitCost() {
		return unitCost;
	}

	public void setUnitCost(String unitCost) {
		this.unitCost = unitCost;
	}

	public String getUnitPrice() {
		return unitPrice;
	}

	public void setUnitPrice(String unitPrice) {
		this.unitPrice = unitPrice;
	}

	public String getWeight() {
		return weight;
	}

	public void setWeight(String weight) {
		this.weight = weight;
	}

	public String getManufacturerID() {
		return manufacturerID;
	}

	public void setManufacturerID(String manufacturerID) {
		this.manufacturerID = manufacturerID;
	}

	public boolean getUpdateAdvancedSearchIndex() {
		return updateAdvancedSearchIndex;
	}

	public void setUpdateAdvancedSearchIndex(boolean updateAdvancedSearchIndex) {
		this.updateAdvancedSearchIndex = updateAdvancedSearchIndex;
	}

	public boolean getOverwriteImageFiles() {
		return overwriteImageFiles;
	}

	public void setOverwriteImageFiles(boolean overwriteImageFiles) {
		this.overwriteImageFiles = overwriteImageFiles;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!addingNewRecord() && StringUtils.isEmpty(getProductID()) && StringUtils.isEmpty(getCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "productID or code"));
		}
		if (addingAndFieldIsBlank(getName()) || editingAndFieldIsBeingEmptiedOut(getName())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Name"));
		}
		if (editingAndFieldIsBeingEmptiedOut(getCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Code"));
		}
		if (getCode() != null && !getCode().equals("")
				&& containsUnsafeCharacter(getCode(), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter", "The code "
							+ StringEscapeUtils.escapeXml11(getCode()), containsUnsafeCharacter(getCode(),
							request)));
		}
		if (getSeoCode() != null && !getSeoCode().equals("")
				&& containsUnsafeCharacter(getSeoCode(), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter", "The SEO code "
							+ StringEscapeUtils.escapeXml11(getSeoCode()),
							containsUnsafeCharacter(
							getSeoCode(), request)));
		}
		return getErrors();
	}
}
