package com.softslate.commerce.administrator.product;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang3.StringEscapeUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.product.ProductSetting;

public class ProductSettingForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3545799870893012023L;

	static Log log = LogFactory.getLog(ProductSettingForm.class);

	private String idField = "productSettingID";

	private String parentIDField = "productID";

	private Class entity = ProductSetting.class;

	private String entityProperty = "productSetting";

	private String nameField = "name";

	private String[] fields = { "productSettingID", "code", "name", "description", "type", "valueType", "integerValue",
			"smallValue", "mediumValue", "textValue" };

	private String[] fieldLables = { "ProductSetting ID", "Code", "Name", "Description", "Type", "Value Type",
			"Integer Value", "Small Value", "Medium Value", "Text Value" };

	private String[] displayFields = { "productSettingID", "code", "name", "description", "type", "valueType",
			"integerValue", "smallValue", "mediumValue", "textValue" };

	private String[] searchableIntFields = { "productSettingID" };

	private String[] searchableFields = { "code", "name" };

	private String sortByString = "productSettingID";

	private String[] cantSortByFields = { "description" };

	private String sortAscOrDesc = "ASC";

	private String formAction = "/ProductSetting.do";

	private String addFormAction = "/ProductSettingAddForm.do";

	private String editFormAction = "/ProductSettingEditForm.do";

	private String editDeleteFormAction = "/ProductSettingEditDelete.do";

	private String productID = "";

	private String[] productSettingID = null;

	private String[] code = null;

	private String[] name = null;

	private String[] description = null;

	private String[] type = null;

	private String[] valueType = null;

	private String[] integerValue = null;

	private String[] smallValue = null;

	private String[] mediumValue = null;

	private String[] textValue = null;

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}


	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String[] getProductSettingID() {
		return productSettingID;
	}

	public void setProductSettingID(String[] productSettingID) {
		this.productSettingID = productSettingID;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public String[] getType() {
		return type;
	}

	public void setType(String[] type) {
		this.type = type;
	}

	public String[] getValueType() {
		return valueType;
	}

	public void setValueType(String[] valueType) {
		this.valueType = valueType;
	}

	public String[] getIntegerValue() {
		return integerValue;
	}

	public void setIntegerValue(String[] integerValue) {
		this.integerValue = integerValue;
	}

	public String[] getSmallValue() {
		return smallValue;
	}

	public void setSmallValue(String[] smallValue) {
		this.smallValue = smallValue;
	}

	public String[] getMediumValue() {
		return mediumValue;
	}

	public void setMediumValue(String[] mediumValue) {
		this.mediumValue = mediumValue;
	}

	public String[] getTextValue() {
		return textValue;
	}

	public void setTextValue(String[] textValue) {
		this.textValue = textValue;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getProductSettingID() != null) {
			for (int i = 0; i < getProductSettingID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("code")) {
					if (getCode().length < i + 1 || getCode()[i] == null || getCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Code"));
					} else if (containsUnsafeCharacter(getCode()[i], request) != null) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.unsafeCharacter",
										"The code " + StringEscapeUtils.escapeXml11(getCode()[i]),
										containsUnsafeCharacter(getCode()[i], request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("name")) {
					if (getName().length < i + 1 || getName()[i] == null || getName()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Name"));
					}
				}
			}
		}
		return errors;
	}
}
