package com.softslate.commerce.administrator.tax;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;


/**
 * @author David Tobey
 * 
 */
public class SettingsFormTax extends BaseDynaForm {

    private static final long serialVersionUID = 538500547817310889L;

    static Log log = LogFactory.getLog(SettingsFormTax.class);

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        initializeProperties(mapping, request);
        if (!getFormUtils().stringExists(this, "areTaxRatesCumulative")) {
            getErrors().add(
                    ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.required",
                            "Are Tax Rates Cumulative"));
        }
		if (!getFormUtils().stringExists(this, "activeTaxProcessors")) {
            getErrors()
                    .add(
                            ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage(
									"errors.detail",
									"Please select at least one active tax processor. "
											+ "If you do not need to compute taxes, select the "
											+ "Basic Tax Rates processor and don't add any tax rates "
											+ "under the Basic Tax Rates menu item."));
        }
		String[] statesWhereShippingIsTaxableArray = (String[]) get("statesWhereShippingIsTaxableArray");
		String statesWhereShippingIsTaxable = null;
		for (int i = 0; i < statesWhereShippingIsTaxableArray.length; i++) {
			if (i != 0) {
				statesWhereShippingIsTaxable = statesWhereShippingIsTaxable + ","
						+ statesWhereShippingIsTaxableArray[i];
			} else {
				statesWhereShippingIsTaxable = statesWhereShippingIsTaxableArray[i];
			}
		}
		set("statesWhereShippingIsTaxable", statesWhereShippingIsTaxable);
        return getErrors();
    }

}
