package com.softslate.commerce.businessobjects.core;

import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.envers.DefaultTrackingModifiedEntitiesRevisionEntity;
import org.hibernate.envers.RevisionEntity;

import com.softslate.commerce.daos.core.AppRevisionListener;

/**
 * Record the sscRequestLog.requestLogID with each Envers revision. From the RequestLog record, you can retrieve the
 * userName, IP address, URL, etc. Request logging must be enabled with the "Log Requests to Database" setting on the
 * Advanced System Settings screen (Enterprise Edition only), otherwise auditing can still be used but null will be
 * written for all requestIDs.
 * 
 * @author David Tobey
 *
 */
@Entity
@Table(name = "REVINFO")
@RevisionEntity(AppRevisionListener.class)
public class RevisionEntityBean extends DefaultTrackingModifiedEntitiesRevisionEntity {

	private static final long serialVersionUID = 1L;

	private Integer requestLogID;

	public Integer getRequestLogID() {
		return requestLogID;
	}

	public void setRequestLogID(Integer requestLogID) {
		this.requestLogID = requestLogID;
	}
}