package com.softslate.commerce.businessobjects.order;

import java.io.Serializable;
import java.util.Collection;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;

/**
 * Object holding representations of the states and countries active in the
 * store.
 * <p>
 * <code>StatesAndCountriesBean</code> is the default implementation of the
 * <code>StatesAndCountries</code> interface for the application.
 * 
 * @author David Tobey
 * @see com.softslate.commerce.businessobjects.order.StatesAndCountries
 */
public class StatesAndCountriesBean extends BaseBusinessObject implements
		StatesAndCountries, Serializable {

	private static final long serialVersionUID = -3604391799057701373L;

	static Log log = LogFactory.getLog(StatesAndCountriesBean.class);

	private Collection countries = null;

	public Collection getCountries() {
		return (this.countries);
	}

	public void setCountries(Collection countries) {
		this.countries = countries;
	}

	private Collection states = null;

	public Collection getStates() {
		return (this.states);
	}

	public void setStates(Collection states) {
		this.states = states;
	}

	private Map countryMap = null;

	public Map getCountryMap() {
		return countryMap;
	}

	public void setCountryMap(Map countryMap) {
		this.countryMap = countryMap;
	}

	private Map stateMap = null;

	public Map getStateMap() {
		return stateMap;
	}

	public void setStateMap(Map stateMap) {
		this.stateMap = stateMap;
	}
}
