package com.softslate.commerce.installer;


import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;


/**
 * @author David Tobey
 * 
 * 
 */
public class StoreSettingsForm extends BaseDynaForm {

	private static final long serialVersionUID = 4048791260473407033L;

	static Log log = LogFactory.getLog(StoreSettingsForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!getFormUtils().stringExists(this, "customerURL")) {
			String message = getMessage("installer/installer",
					"installer.customerURL", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (!getFormUtils().stringExists(this, "customerSecureURL")) {
			String message = getMessage("installer/installer",
					"installer.customerSecureURL", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (!getFormUtils().stringExists(this, "administratorURL")) {
			String message = getMessage("installer/installer",
					"installer.administratorURL", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (!getFormUtils().stringExists(this, "storeName")) {
			String message = getMessage("installer/installer",
					"installer.storeName", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (!getFormUtils().stringExists(this, "currencyCode")) {
			String message = getMessage("installer/installer",
					"installer.currencyCode", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		return getErrors();
	}

}
