UPDATE sscSetting SET smallValue='3.4.2' WHERE code='dataObjectsVersion';
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerSecurityView', 'Customer Security Settings Viewer', 'Allows access to view Customer Security settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerSecurityEdit', 'Customer Security Settings Editor', 'Allows access to view and edit Customer Security settings.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('numberFailedLoginsBeforeLockingOutCustomer','Number of Failed Logins Before Locking Out','The number of failed attempts for a customer to login before being locked out. Set to 0 to never lock out. (PCI 3.2: 6).','CUSTOMERSECURITY','integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('lockoutDurationInMinutesCustomer','Lock Out Duration in Minutes','The number of minutes an customer must wait to login after being locked out. (PCI 3.2: 30).','CUSTOMERSECURITY','integerValue',30,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('passwordExpirationInDaysCustomer','Password Expiration in Days','The number of days a new customer password will be valid before it is expired and must be changed. Use 0 to never expire passwords. (PCI 3.2: 90).','CUSTOMERSECURITY','integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('numberOfPreviousPasswordsToCheckCustomer','Number of Previous Passwords To Check','The number of previous passwords to check against a new password. Set to 0 to never check if a new password is the same as a previous password. (PCI 3.2: 4).','CUSTOMERSECURITY','integerValue',0,NULL,NULL,NULL);
UPDATE sscSetting SET type = 'CUSTOMERACCOUNT,CUSTOMERSECURITY', description = 'The minimum length in characters that the system allows for new or changing customer account passwords. (PCI 3.2: 7).' WHERE code = 'minimumPasswordLength';
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('passwordRequiresLetterAndNumberCustomer','Password Require One Letter and Number?','If yes, new customer passwords must contain at least one letter and one number. (PCI 3.2: yes).','CUSTOMERSECURITY','booleanValue',0,NULL,NULL,NULL);

UPDATE sscSetting SET description = 'The number of failed attempts for an Administrator to login before being locked out. Set to 0 to never lock out. (PCI 3.2: 6)' WHERE code = 'numberFailedLoginsBeforeLockingOut';
UPDATE sscSetting SET description = 'The number of minutes an Administrator must wait to login after being locked out. (PCI 3.2: 30).' WHERE code = 'lockoutDurationInMinutes';
UPDATE sscSetting SET description = 'The number of days a new Administrator password will be valid before it is expired and must be changed. Use 0 to never expire passwords. (PCI 3.2: 90).' WHERE code = 'passwordExpirationInDays';
UPDATE sscSetting SET description = 'The number of previous passwords to check against a new password. Set to 0 to never check if a new password is the same as a previous password. (PCI 3.2: 4).' WHERE code = 'numberOfPreviousPasswordsToCheck';
UPDATE sscSetting SET description = 'The minimum length any new Administrator password must be. (PCI 3.2: 7).' WHERE code = 'minimumAdministratorPasswordLength';
UPDATE sscSetting SET description = 'If yes, new Administrator passwords must contain at least one letter and one number. (PCI 3.2: yes).' WHERE code = 'passwordRequiresLetterAndNumber';
