<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<!-- Start settingsComponents.jsp -->

<%
	java.util.Properties appSettings = (java.util.Properties) application.getAttribute("appSettings");
	request.setAttribute("disableComponentUpdatesFromAdministrator", appSettings.getProperty("disableComponentUpdatesFromAdministrator"));
%>
<c:choose>
	<c:when test="${!empty disableComponentUpdatesFromAdministrator and disableComponentUpdatesFromAdministrator ne '0'}">
		<div class="warning">
			This form is disabled due to the appSettings' disableComponentUpdatesFromAdministrator property. To change these
			components, do so by modifying the /WEB-INF/classes/appComponents-custom.properties file directly. 
		</div>
		<br/>
	</c:when>
	<c:otherwise>
		<div class="warning">
			This form is an interface to the /WEB-INF/classes/appComponents-custom.properties file. 
			Please be aware that some application servers can be configured to reload the application whenever a file under /WEB-INF/classes changes.
			If that is the case, submitting this form will have the effect of reloading the application. 
			It is recommended you disable the configuration. 
			(Eg. in the Tomcat Context configuration, set reloadable="false", which is the default.)
		</div>
	</c:otherwise>
</c:choose>
<br/>

<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	java.util.ArrayList keys = java.util.Collections.list(appComponents.propertyNames());
	java.util.Collections.sort(keys);
	request.setAttribute("keys", keys);
%>

<html:form action="/SettingsProcessComponents" method="post">
	<table class="componentsTable settingsTable">
		<tr>
			<th class="setting">Component</th>
			<th class="value">Value</th>
		</tr>
		<c:forEach var="key" items="${keys}">
			<c:choose>
				<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<tr class="<c:out value="${requestScope.thisClass}"/>">
				<td class="setting"><label for="<c:out value="${key}"/>"><c:out value="${key}"/></label>:</td>
				<td class="value">
					<c:choose>
						<c:when test="${empty disableComponentUpdatesFromAdministrator or disableComponentUpdatesFromAdministrator eq '0'}">
							<input size="65" id="<c:out value="${key}"/>" type="text" name="<c:out value="${key}"/>" value="<%= appComponents.getProperty((String) pageContext.getAttribute("key")) %>"/>
						</c:when>
						<c:otherwise>
							<%= appComponents.getProperty((String) pageContext.getAttribute("key")) %>
						</c:otherwise>
					</c:choose>
				</td>
			</tr>
		</c:forEach>
	</table>
	<c:if test="${empty disableComponentUpdatesFromAdministrator or disableComponentUpdatesFromAdministrator eq '0'}">
		<logic:present role="superuser,administrator,settingsEdit,settingsComponentsEdit">
	    	<div class="saveSettings">
				<input type="submit" class="button" name="settingsComponentsSubmit" value="Save Components"/>
			</div>
		</logic:present>
	</c:if>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Customize the way the application behaves">
				<p>The above "components" control the Java classes in charge of the various behaviors of the application,
				including business logic and database interaction.</p>
				<p>Customizing the behavior of the application boils down to:</p>
				<ol class="normal">
					<li>Identifying the core class(es) responsible for the functionality</li>
					<li>Creating your own Java subclass that overrides the built-in functionality with your customizations</li>
					<li>Updating the appropriate components above with the name(s) of your subclass(es)</li>
				</ol>
				<br/>
				<p>For full details including some examples on how to customize the application behavior, visit the  
				<a href="http://www.softslate.com/documentation/html/guideForDevelopers.html">Guide for Developers</a> from the User Guide.</p>
			</ssc:help>
		</li>
	</ul>
</div>

<div class="notes">
	<h3 class="administratorSubhead">Tips</h3>
	<ul class="notesList">
		<li class="tip">
			<p>This form is an interface to the /WEB-INF/classes/appComponents-custom.properties file. 
			The application server must have writable permission for that file for changes to take effect.</p>
		</li>
		<li class="tip">
			<p>If you are running this application in a clustered environment, we recommend you change the file manually on each server, 
			instead of using this screen. This form will only affect the files on the server that you're currently using.</p>
			<br/>
		</li>
	</ul>
</div>

<!-- End settingsComponents.jsp -->
