<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsProductListDisplay.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	This form controls the display of the various lists of products presented on the various pages of the store.
	The pages where product lists appear include category pages, the product list page, manufacturer pages,
	search results, the product detail page (related products), and the cart page ("You Might Also Be Interested In" products).
</div>

<br/>

<html:form action="/SettingsProcessProductListDisplay" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="PRODUCTLISTDISPLAY">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<%--Pagination style--%>
					<c:when test="${setting.code eq 'paginationStyle'}">
						<tr>
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="paginationStyle">
									<option value="showAllPages" <logic:match name="setting" property="smallValue" value="showAllPages">selected="selected"</logic:match>>Show All Pages</option>
									<option value="nextAndPrevious" <logic:match name="setting" property="smallValue" value="nextAndPrevious">selected="selected"</logic:match>>Show 'Next' and 'Previous'</option>
								</select>
								<br/>
								<div class="settingDescription"><c:out value="${setting.description}"/></div>
							</td>
						</tr>
					</c:when>
					<%--Pagination style--%>
					<c:when test="${setting.code eq 'productListDisplayFormat'}">
						<tr>
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="productListDisplayFormat">
									<option value="columns" <logic:match name="setting" property="smallValue" value="columns">selected="selected"</logic:match>>Columns</option>
									<option value="rows" <logic:match name="setting" property="smallValue" value="rows">selected="selected"</logic:match>>Rows</option>
								</select>
								<br/>
								<div class="settingDescription"><c:out value="${setting.description}"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsProductListDisplayEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Customize the product lists and other product pages using JSP">
				<p>For complete control over your store's look and feel, you may create custom versions of each of the JSP templates used by the store.</p>
				<p>In particular, the following templates control the display of the product lists:</p>
				<ul class="normal">
					<li>/WEB-INF/layouts/default-html5/product/productListAndControls.jsp (displays products and pagination, sort by and other controls)</li>
					<li>/WEB-INF/layouts/default-html5/product/productList.jsp (displays products in columns)</li>
					<li>/WEB-INF/layouts/default-html5/product/productListProduct.jsp (displays a single product in the list)</li>
				</ul>
				<br/>
				<p>In addition, other common areas of customization include the Product Page and Category Page.
				These pages may be controlled by customizing the following JSP templates:</p> 
				<ul class="normal">
					<li>/WEB-INF/layouts/default-html5/product/product.jsp</li>
					<li>/WEB-INF/layouts/default-html5/product/category.jsp</li>
				</ul>
				<br/>
				<p>To customize the above files, always <strong>copy them first</strong> into the /WEB-INF/layouts/custom directory and modify them there.
				Visit the chapter on <a href="http://www.softslate.com/documentation/html/creatingCustomLayout.html">Creating a Custom Layout</a> of the User Guide for full details.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsProductListDisplay.jsp -->
