<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to define how your store connects to a UK account of PayPal Website Payments Pro.
</div>

<br/>

<html:form action="/SettingsProcessPayPalUK" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:equal name="settingRow" property="type" value="paypalUK">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'paypalUKComment1' or setting.code eq 'paypalUKComment2'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" size="65" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${setting.mediumValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypalEnvironment'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="paypalEnvironment">
									<option value="live" <logic:equal name="setting" property="smallValue" value="live">selected="selected"</logic:equal>>Live</option>
									<option value="sandbox" <logic:equal name="setting" property="smallValue" value="sandbox">selected="selected"</logic:equal>>Sandbox</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypalUKAVSSt'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
					</c:when>
					<c:when test="${setting.code eq 'paypalUKAVSZip'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
					</c:when>
					<c:when test="${setting.code eq 'paypalUKCVV2'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
					</c:when>
					<c:when test="${setting.code eq 'paypalUKPaymentType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<input type="radio" name="paypalUKPaymentType" value="A"   <logic:equal name="setting" property="smallValue" value="A">checked="checked"</logic:equal>>Authorization<br/>
								<input type="radio" name="paypalUKPaymentType" value="S"   <logic:equal name="setting" property="smallValue" value="S">checked="checked"</logic:equal>>Sale<br/>
								<input type="radio" name="paypalUKPaymentType" value="AA"  <logic:equal name="setting" property="smallValue" value="AA">checked="checked"</logic:equal>>Authorize/Authenticate (Allow order to complete if authorization matches below authentication options) <br/>
								<input type="radio" name="paypalUKPaymentType" value="AAS" <logic:equal name="setting" property="smallValue" value="AAS">checked="checked"</logic:equal>>Authorize/Authenticate/Sale (Process an immediate sale if authorization matches below authentication options)
								<br/>
								<bean:write name="setting" property="description"/>
								<br/><br/>
								<ul class="notesList">
									<li class="important">
										The Switch and Solo card types do not support delayed capture transactions.
										Hence, these cards will always be processed immediately as Sale transactions without regard to their AVS or CVV2 results. 
										The above settings will affect other card types only.
									</li>
								</ul>
							</td>
						</tr>
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting">Authentication Options:</td>
							<td class="value">
								<table>
									<tr>
										<th></th>
										<th>Y</th>
										<th>N</th>
										<th>X</th>
									</tr>
									<tr>
										<td align="left">Security Code Result:</td>
										<td><input type="checkbox" name="paypalUKCVV2Array" value="Y" <logic:match name="settings" property="value(paypalUKCVV2)" value="Y">checked="checked"</logic:match>></td>
										<td><input type="checkbox" name="paypalUKCVV2Array" value="N" <logic:match name="settings" property="value(paypalUKCVV2)" value="N">checked="checked"</logic:match>></td>
										<td><input type="checkbox" name="paypalUKCVV2Array" value="X" <logic:match name="settings" property="value(paypalUKCVV2)" value="X">checked="checked"</logic:match>></td>
									</tr>
								</table>
								<br/>
								For use with the "Authorize/Authenticate" or "Authorize/Authenticate/Sale" payment types. 
								Check off security code results to define a valid, authenticated result. 
								If the result matches any of the checked settings, the order will proceed. 
								If not, the user will be shown an error and asked to check the security code.
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypalUKPassword'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<input type="password" size="20" maxlength="64" name="<bean:write name="setting" property="code"/>" value="<bean:write name="setting" property="smallValue"/>"/>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:equal>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish a UK Express Checkout Account with PayPal">
			<p>Visit here <a href="https://www.paypal.com/uk/webapps/mpp/referral/paypal-express-checkout?partner_id=HVRJADM253TCE">
				to sign up for Express Checkout</a>.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish a UK Direct Payment account with PayPal">
			<p>To use PayPal's Direct Payment option, where the user stays on your site for the entire payment transaction, you must sign up for PayPal's
				<a href="https://www.paypal.com/uk/webapps/mpp/referral/website-payments-pro?partner_id=HVRJADM253TCE">Website Payments Pro</a> package.</p>
			</ssc:help>
		</li>
	</ul>
</div>
